[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TOwnerStream.Create

Create a new instance of TOwnerStream.

## Declaration

Source position: classesh.inc line 894

`public constructor TOwnerStream.Create(`
`ASource: TStream`
`);`

## Description

Create instantiates a new instance of TOwnerStream and stores the reference to AStream. If SourceOwner is True, the soure stream will also be freed when the instance is destroyed.

## See also

TOwnerStream.Destroy |  | Destroys the TOwnerStream instance and the source stream.
TOwnerStream.Source |  | Reference to the source stream.
TOwnerStream.SourceOwner |  | Indicates whether the ownerstream owns it's source

Documentation generated on: Feb 26 2014